require "gphys_const_v1.2"
require "numru/ggraph"
include NumRu

dir = '..'
dir = '../util_timemean-2012-11-02/out'
vnames = ['SurfTemp', 'OLRA', 'PRCP', 'SurfSnow', 'SoilMoist']

figdir = 'figs'
#Dir::mkdir( figdir )


iyrs = 11
iyre = 20
iyrs = 3
iyre = 3
iyrs = 1979
iyre = 2008

for ivar in 0..(vnames.length-1)
  for imon in 1..12

    p vnames[ivar] + ' at Year: ' + iyrs.to_s + ' to ' + iyre.to_s + ', Month: ' + imon.to_s

    system('ruby draw_2D_xy_mon.rb ' + dir + ' ' + vnames[ivar] + ' ' + iyrs.to_s + ' ' + iyre.to_s + ' ' + imon.to_s )

    system("pstoimg -type gif -flip r270 dcl.ps")
    com = sprintf( "mv dcl.gif "+figdir+"/dcl_"+vnames[ivar]+"_"+"mon%0#{2}d.gif", imon )
    system(com)
    com = sprintf( "mv dcl.ps  "+figdir+"/dcl_"+vnames[ivar]+"_"+"mon%0#{2}d.ps" , imon )
    system(com)
  end
end

